Page MenuHomeFreeBSD

Use default shell assignment rather more complicated if then construct.
ClosedPublic

Authored by imp on Apr 2 2019, 3:44 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

imp created this revision.Apr 2 2019, 3:44 PM
emaste added a subscriber: emaste.Apr 2 2019, 3:47 PM
emaste added inline comments.
sys/conf/newvers.sh
49 ↗(On Diff #55734)

108 ↗(On Diff #55734)


but this line looks too long?

145 ↗(On Diff #55734)

eww

allanjude added inline comments.
sys/conf/newvers.sh
145 ↗(On Diff #55734)

This is a pretty common shell construct, I think it is fine.

imp added inline comments.Apr 2 2019, 4:24 PM
sys/conf/newvers.sh
108 ↗(On Diff #55734)

Other lines are longer.

emaste added inline comments.Apr 2 2019, 4:45 PM
sys/conf/newvers.sh
108 ↗(On Diff #55734)

Still better to not introduce new >80 col lines though... there are three > 80 cols right now, all of which are awkward to wrap to 80.

145 ↗(On Diff #55734)

Agreed, it's fine, I just don't like it :)

imp updated this revision to Diff 55828.EditedApr 5 2019, 6:16 AM

Fix line length, per ed.

also move b= to place closer to where it's used.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 7 2019, 6:40 PM
This revision was automatically updated to reflect the committed changes.